/*
 *  Copyright (C) 2007  Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include <villa.h>
#include <cabin.h>
#include <glib.h>
#include <stdio.h>
#include <stdlib.h>
#include "avaliacao.h"

VILLA *db;

int main (int argc, char **argv)
{
  gchar *message;
  FILE *sendmail;
  regex_init ();
  db = vlopen ("palestras.vl", VL_OREADER, VL_CMPINT);
  vlcurfirst (db);
  do
    {
      message = regex_create_message ();
      sendmail = popen ("/usr/sbin/sendmail -t", "w");
      fputs (message, sendmail);
      pclose (sendmail);
      g_free (message);
    } while (vlcurnext (db));
  vlclose (db);
  return 0;
}
